# Uses of Class
java.security.cert.CertPathBuilder

Packages that use CertPathBuilder
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertPathBuilder in java.security.cert

Methods in java.security.cert that return CertPathBuilder
Modifier and Type
Method
Description
`static CertPathBuilder`
CertPathBuilder.`getInstance​(String algorithm)`
Returns a `CertPathBuilder` object that implements the specified algorithm.
`static CertPathBuilder`
CertPathBuilder.`getInstance​(String algorithm, String provider)`
Returns a `CertPathBuilder` object that implements the specified algorithm.
`static CertPathBuilder`
CertPathBuilder.`getInstance​(String algorithm, Provider provider)`
Returns a `CertPathBuilder` object that implements the specified algorithm.